digiKam Developer Documentation: Digikam::DNNFaceExtractorBase Class Reference

| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | List of all members
Digikam::DNNFaceExtractorBase Class Referenceabstract
Inheritance diagram for Digikam::DNNFaceExtractorBase:

## Public Member Functions
virtual cv::Mat | alignFace (const cv::Mat &inputImage) const =0
virtual cv::UMat | alignFace (const cv::UMat &inputImage) const =0
| UMat versions.
virtual const QPair< cv::Mat, cv::Mat > | getFaceEmbedding (const cv::Mat &faceImage) const =0
virtual const QPair< cv::Mat, cv::Mat > | getFaceEmbedding (const cv::UMat &faceImage) const =0
virtual float | getThreshold (int uiThreshold=DNN_MODEL_THRESHOLD_NOT_SET) const =0
| Cover the UI threshold to a float using the conversion factor built into the model.
virtual bool | loadModels ()=0
| Read pretrained neural network for face recognition.

## Static Public Member Functions
static double | cosineDistance (const std::vector< float > &v1, const std::vector< float > &v2)
| Calculate different between 2 vectors.
static std::vector< float > | decodeVector (const QJsonArray &json)
static QJsonArray | encodeVector (const std::vector< float > &vector)
static double | L2squareDistance (const std::vector< float > &v1, const std::vector< float > &v2)
static double | L2squareNormDistance (const std::vector< float > &v1, const std::vector< float > &v2)
static cv::Mat | vectortomat (const std::vector< float > &vector)
| Convert face embedding between different formats.

## Member Function Documentation

## ◆ alignFace()

virtual cv::UMat Digikam::DNNFaceExtractorBase::alignFace | ( | const cv::UMat & | inputImage | ) | const
| pure virtual

Implemented in Digikam::DNNSFaceExtractor.

## ◆ getThreshold()

virtual float Digikam::DNNFaceExtractorBase::getThreshold | ( | int | uiThreshold = `DNN_MODEL_THRESHOLD_NOT_SET` | ) | const
| pure virtual

Implemented in Digikam::DNNSFaceExtractor.

## ◆ loadModels()

virtual bool Digikam::DNNFaceExtractorBase::loadModels | ( |  | ) |
| pure virtual

Implemented in Digikam::DNNSFaceExtractor.